import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'quickcapture_platform_interface.dart';

/// An implementation of [QuickcapturePlatform] that uses method channels.
class MethodChannelQuickcapture extends QuickcapturePlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('quickcapture');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
